# pht\AtomicInteger::inc

(PECL pht >= 0.0.1)

pht\AtomicInteger::inc — Increments the atomic integer's value by one

### Description

public pht\AtomicInteger::inc ( void ) : void

This method will increment the atomic integer's value by one. Internally, the mutex lock of the atomic integer will be acquired, and so there is no need to manually acquire it (unless this operation needs to be grouped with other operations on the same atomic integer - see the example in pht\AtomicInteger::lock() for a demonstration of this).

### Parameters

This function has no parameters.

### Return Values

No return value.

### Examples

Example #1 Incrementing an atomic integer's value

`<?php
use pht\AtomicInteger;
$atomicInteger = new AtomicInteger();
$atomicInteger->inc();
$atomicInteger->inc();
var_dump($atomicInteger->get());`

The above example will output:

    int(2)